| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre2_registers.MRE2Status Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.MRE2Status:

## Public Member Functions
| __init__ (self, board=None)
| GetProxyFPGAVersion (self)
| GetCPUFPGAVersion (self)
| parse_error_flags (self, int error_flag_data)

## Static Public Member Functions
| help ()

## Public Attributes
dict | proxy_fpga_version
dict | cpu_fpga_version
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Firmware Status
    System ID: 0x10

    +---------------------+------+-------------+---------+---------------------------------------+
    | Register Name       | Id   | Type        | Default | Comment                               |
    +=====================+======+=============+=========+=======================================+
    | firmware_id         | 0x00 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | firmware_branch     | 0x01 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_type             | 0x02 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_major    | 0x03 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_minor    | 0x04 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_build    | 0x05 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | fw_version_revision | 0x06 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | error_flag_register | 0x07 | float 32-bit| 0       | See: Status Register Values Below     |
    +---------------------+------+-------------+---------+---------------------------------------+
    | proxy_fpga_version  | 0x08 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+
    | cpu_fpga_version    | 0x09 | float 32-bit|         |                                       |
    +---------------------+------+-------------+---------+---------------------------------------+

    Status Register Values:

    ====== =================================================================
    Bit#   Message
    ====== =================================================================
    0      Proxy not connected
    1      Proxy temperature threshold is reached. See TemperatureManager
    2      Mirror temperature threshold is reached See TemperatureManager
    3      Mirror EEPROM not valid
    4      Mirror not stable. See stability criterion in OpticalFeedback
    5      Linear output limit is reached. See LinearOutput
    6      Linear output average limit is reached. See LinearOutput
    7      XY input is trimmed. See InputConditioning
    8      Proxy was disconnected
    9      Proxy temperature threshold was reached
    10     Mirror temperature threshold was reached
    11     Linear output limit was reached
    12     Linear output average limit was reached
    13     XY input was trimmed
    14..31 Reserved
    ====== =================================================================
      Write:
      Writing to this register resets all history error flags 8, 9, 10, 11, 12, 13

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.MRE2Status.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetCPUFPGAVersion()

optoMDC.registers.mre2_registers.MRE2Status.GetCPUFPGAVersion | ( |  | self | ) |

## ◆ GetProxyFPGAVersion()

optoMDC.registers.mre2_registers.MRE2Status.GetProxyFPGAVersion | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre2_registers.MRE2Status.help | ( |  | ) |
| static

## ◆ parse_error_flags()

optoMDC.registers.mre2_registers.MRE2Status.parse_error_flags | ( |  | self,
|  | int | error_flag_data )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre2_registers.MRE2Status._is_a_system = False
| static protected

## ◆ cpu_fpga_version

dict optoMDC.registers.mre2_registers.MRE2Status.cpu_fpga_version

Initial value:
= {'id': self.sys_id << 8 | 0x09,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ name

optoMDC.registers.mre2_registers.MRE2Status.name = self.__class__.__name__

## ◆ proxy_fpga_version

dict optoMDC.registers.mre2_registers.MRE2Status.proxy_fpga_version

Initial value:
= {'id': self.sys_id << 8 | 0x08,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py